::WS::Utils::ServiceTypeDef Staff FreshBookApi StaffDefinition {
    staff_id            {type string minOccurs 1 maxOccurs 1}
    username            {type string minOccurs 1 maxOccurs 1}
    first_name          {type string minOccurs 1 maxOccurs 1}
    last_name           {type string minOccurs 1 maxOccurs 1}
    email               {type string minOccurs 1 maxOccurs 1}
    business_phone      {type string minOccurs 0 maxOccurs 1}
    mobile_phone        {type string minOccurs 0 maxOccurs 1}
    work_phone          {type string minOccurs 0 maxOccurs 1}
    home_phone          {type string minOccurs 0 maxOccurs 1}
    rate                {type string minOccurs 0 maxOccurs 1}
    last_login          {type string minOccurs 0 maxOccurs 1}
    number_of_logins    {type string minOccurs 0 maxOccurs 1}
    signup_date         {type string minOccurs 1 maxOccurs 1}
    street1             {type string minOccurs 0 maxOccurs 1}
    street2             {type string minOccurs 0 maxOccurs 1}
    city                {type string minOccurs 0 maxOccurs 1}
    state               {type string minOccurs 0 maxOccurs 1}
    country             {type string minOccurs 0 maxOccurs 1}
    code                {type string minOccurs 0 maxOccurs 1}
}

::WS::Utils::ServiceTypeDef Staff FreshBookApi StaffDetail {
    staff_id            {type string minOccurs 1 maxOccurs 1}
    username            {type string minOccurs 1 maxOccurs 1}
    first_name          {type string minOccurs 1 maxOccurs 1}
    last_name           {type string minOccurs 1 maxOccurs 1}
    email               {type string minOccurs 1 maxOccurs 1}
}

::WS::Utils::ServiceTypeDef Staff FreshBookApi StaffDetailArray {
    member  {type StaffDetail()}
}

::WS::Client::DefineRestMethod FreshBookApi staff staff.current {
} {
    staff    {type StaffDefinition}
}

::WS::Client::DefineRestMethod FreshBookApi staff staff.get {
    staff_id {type string}
} {
    staff    {type StaffDefinition}
}

::WS::Client::DefineRestMethod FreshBookApi staff staff.list {
} {
    staff_members   {type StaffDetailArray}
}
