package provide FreshBooksApi 1.0

package require WS::Client
package require WS::Utils
package require base64

namespace eval ::FreshBooksApi:: {
    set baseDir [file dirname [info script]]
    set url {}
    set authToken {}
}

proc ::FreshBooksApi::Initialize {ApiUrl ApiAuthToken} {
    variable url
    variable authToken
    variable baseDir

    set url $ApiUrl
    set authToken "Authorization \"Basic [base64::encode $ApiAuthToken:]\""

    ::WS::Client::CreateService FreshBookApi rest $url \
        -headers $authToken \
        -xns {FreshBookApi http://www.freshbooks.com/api/}

    foreach file [glob [file join $baseDir MessageDefs *.tcl]] {
        source $file
    }
}
